# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [v1.1.3](https://github.com/es-shims/Array.prototype.at/compare/v1.1.2...v1.1.3) - 2024-03-20

### Commits

- [meta] remove useless ESM [`daf1ca5`](https://github.com/es-shims/Array.prototype.at/commit/daf1ca51cabb1824f153e47352c4ffed0329ebd0)
- [Deps] update `call-bind`, `define-properties`, `es-abstract`, `es-shim-unscopables` [`22017f8`](https://github.com/es-shims/Array.prototype.at/commit/22017f84062858c18c272ca260813ed895e03411)
- [actions] use reusable workflows [`3b03a03`](https://github.com/es-shims/Array.prototype.at/commit/3b03a03817edd6d5a7bcdecab1dae265929fc278)
- [Dev Deps] update `aud`, `npmignore`, `tape` [`ec13284`](https://github.com/es-shims/Array.prototype.at/commit/ec132845347cfdeb553777842b519f87615b557c)
- [Refactor] use `es-object-atoms` where possible [`7ae894c`](https://github.com/es-shims/Array.prototype.at/commit/7ae894c45218fbf0b3b4404c3beb98cebf43f402)
- [Tests] use `call-bind` instead of `function-bind` [`426d41a`](https://github.com/es-shims/Array.prototype.at/commit/426d41ab1c0149627f26fed5d71932cd02a2dec1)
- [meta] add missing `engines.node` [`2447279`](https://github.com/es-shims/Array.prototype.at/commit/2447279ff89c15978b2c9494618aee2108ac63c9)

## [v1.1.2](https://github.com/es-shims/Array.prototype.at/compare/v1.1.1...v1.1.2) - 2023-08-28

### Commits

- [Deps] update `define-properties`, `es-abstract` [`a41635f`](https://github.com/es-shims/Array.prototype.at/commit/a41635f64c4843e6befff187c31a7615785de8d1)
- [Dev Deps] update `@ljharb/eslint-config`, `aud`, `tape` [`9577042`](https://github.com/es-shims/Array.prototype.at/commit/9577042e497ec2da98620ef27fbc4efe25e7eb97)
- [Tests] add `@es-shims/api` [`b1d49be`](https://github.com/es-shims/Array.prototype.at/commit/b1d49be01da534b12b51604bbb2b1d2df3140a0c)

## [v1.1.1](https://github.com/es-shims/Array.prototype.at/compare/v1.1.0...v1.1.1) - 2022-11-02

### Commits

- [meta] use `npmignore` to autogenerate an npmignore file [`6a4cd75`](https://github.com/es-shims/Array.prototype.at/commit/6a4cd758143e93e275363fede4b412f1afd099bf)
- [Deps] update `define-properties`, `es-abstract` [`4ede643`](https://github.com/es-shims/Array.prototype.at/commit/4ede643ccb6b87acdc91a054f9710361f14a93c5)
- [actions] update rebase action to use reusable workflow [`2e2a1cd`](https://github.com/es-shims/Array.prototype.at/commit/2e2a1cd34dba07fc63a3f49adbe2efa52ff31a58)
- [Dev Deps] update `aud`, `functions-have-names`, `tape` [`3ac3e18`](https://github.com/es-shims/Array.prototype.at/commit/3ac3e181af3efc9c2ce1df9689b6b27448e20393)

## [v1.1.0](https://github.com/es-shims/Array.prototype.at/compare/v1.0.3...v1.1.0) - 2022-04-11

### Commits

- [actions] reuse common workflows [`9c1bb77`](https://github.com/es-shims/Array.prototype.at/commit/9c1bb77ab96fa49ecbdc1b165582d7644112bdea)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `safe-publish-latest`, `tape` [`0c09344`](https://github.com/es-shims/Array.prototype.at/commit/0c093448390f366ff1518361378b5c377e6acf45)
- [actions] update codecov uploader [`83aa293`](https://github.com/es-shims/Array.prototype.at/commit/83aa2933353015e7385464d96bcbe92740a07be5)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `aud`, `auto-changelog`, `tape` [`bf6ad69`](https://github.com/es-shims/Array.prototype.at/commit/bf6ad69d08818237b09c4b8079bd06bf0499ff0e)
- [New] `shim`/`auto`: add `at` to `Symbol.unscopables` [`7d9840f`](https://github.com/es-shims/Array.prototype.at/commit/7d9840f124331582a597ec2c57070e29ff739977)
- [Deps] update `es-abstract` [`3ff5bb3`](https://github.com/es-shims/Array.prototype.at/commit/3ff5bb35381015b807be56b8fceee3b439475dbb)
- [Deps] update `es-abstract` [`8dd0858`](https://github.com/es-shims/Array.prototype.at/commit/8dd0858910e7ecb7ed2df7b18340b5e4412fb3f3)

## [v1.0.3](https://github.com/es-shims/Array.prototype.at/compare/v1.0.2...v1.0.3) - 2021-09-30

### Commits

- [Refactor] remove ESM entry points [`667d2b9`](https://github.com/es-shims/Array.prototype.at/commit/667d2b94aadfdbfd9e958c263c886a92b3b65965)
- [Tests] add cases for Infinities; increase coverage [`5158d4d`](https://github.com/es-shims/Array.prototype.at/commit/5158d4d1bd19ac1b6bb7d5a1f1e07dcf622020af)
- [Deps] update `es-abstract` [`32dec9f`](https://github.com/es-shims/Array.prototype.at/commit/32dec9fd71c97cf9cdca379167d7d29dc6858a63)
- [actions] use `node/install` instead of `node/run`; use `codecov` action [`6b9167b`](https://github.com/es-shims/Array.prototype.at/commit/6b9167bb8351a6b0ff8c6fcf2e08ece3ea61a072)
- [Dev Deps] update `eslint`, `tape` [`be5df6a`](https://github.com/es-shims/Array.prototype.at/commit/be5df6a638f18e3069ebc5c9ecb4b524ffa2ec61)
- [Fix] ESM: ensure that imports work with es-abstract [`2661b6e`](https://github.com/es-shims/Array.prototype.at/commit/2661b6e34f4dadec2caf6ce56f2d9219dbac94dd)
- [Dev Deps] update `@ljharb/eslint-config` [`59d59a8`](https://github.com/es-shims/Array.prototype.at/commit/59d59a898401fd797042da4a659a1a60e939064b)
- [Deps] update `es-abstract` [`fe9ce35`](https://github.com/es-shims/Array.prototype.at/commit/fe9ce351f2ed75679bcaaeb90da35cb6d5d6934b)

## [v1.0.2](https://github.com/es-shims/Array.prototype.at/compare/v1.0.1...v1.0.2) - 2021-07-29

### Commits

- [actions] use `node/install` instead of `node/run`; use `codecov` action [`b4af027`](https://github.com/es-shims/Array.prototype.at/commit/b4af027a0006afd39698b95ab4f311e08c661345)
- [readme] remove travis badge [`b132350`](https://github.com/es-shims/Array.prototype.at/commit/b1323509f258d84f9e6f73bb29cab419baf4a310)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `aud`, `auto-changelog`, `tape` [`b3c0da0`](https://github.com/es-shims/Array.prototype.at/commit/b3c0da0c12cb90340f103d396f3fd2c29ab2d266)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `aud`, `tape` [`091a76d`](https://github.com/es-shims/Array.prototype.at/commit/091a76d64ce8196f47f7b49c2b0243b0877cc1bc)
- [actions] update workflows [`f8d3842`](https://github.com/es-shims/Array.prototype.at/commit/f8d3842d30fc5030cd0fe662b32db9334a557c5c)
- [readme] add github actions/codecov badges [`b865889`](https://github.com/es-shims/Array.prototype.at/commit/b86588935f7afc5dcf504e712bb01c6006eb36ed)
- [actions] avoid failing fast [`556768e`](https://github.com/es-shims/Array.prototype.at/commit/556768ea15585e2172ee8a5076ea38abd5fa5cdb)
- [Deps] update `es-abstract` [`a23efc0`](https://github.com/es-shims/Array.prototype.at/commit/a23efc0b4b036c0094622238fa4e0b00f2c976aa)
- [Dev Deps] update `eslint`, `tape` [`68c753b`](https://github.com/es-shims/Array.prototype.at/commit/68c753bb919a62154908a4501c2a9fdd6d4f5057)
- [meta] use `prepublishOnly`, for npm 7+ [`2ee454b`](https://github.com/es-shims/Array.prototype.at/commit/2ee454b614c05267085cbcddb78b48feeded88da)
- [Tests] increase coverage [`6e76301`](https://github.com/es-shims/Array.prototype.at/commit/6e763012b721444ad16d23b949d8ec96c0e2f716)
- [Deps] update `es-abstract` [`e9672de`](https://github.com/es-shims/Array.prototype.at/commit/e9672deb8361cc95c51ee60cb4c2c9f3b523464c)
- [Deps] update `es-abstract` [`4686db5`](https://github.com/es-shims/Array.prototype.at/commit/4686db562857d614ae52dcc249b33779402795b7)

## [v1.0.1](https://github.com/es-shims/Array.prototype.at/compare/v1.0.0...v1.0.1) - 2021-01-14

### Commits

- [meta] do not publish github action workflow files [`665f6b7`](https://github.com/es-shims/Array.prototype.at/commit/665f6b766fbfbd6d30fa6da6df8866cd37d8640e)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `functions-have-names`, `has-strict-mode`, `tape` [`da08017`](https://github.com/es-shims/Array.prototype.at/commit/da080173d5f8c60f34a17b4570474ea47307c7ac)
- [Robustness] ensure main export callBinds [`f0ab610`](https://github.com/es-shims/Array.prototype.at/commit/f0ab6105d48f9ee8d899fcd066611478677a35ff)
- [Deps] update `call-bind` [`ad8c353`](https://github.com/es-shims/Array.prototype.at/commit/ad8c353a35f6c30b162f56a12a0e53cbd90545b8)
- [readme] Update link to proposed specification [`c61cb2a`](https://github.com/es-shims/Array.prototype.at/commit/c61cb2a0222b1b2c94a94a5fe2159df6cef20df7)

## [v1.0.0](https://github.com/es-shims/Array.prototype.at/compare/v0.1.0...v1.0.0) - 2020-11-19

### Commits

- [Tests] migrate tests to Github Actions [`2e19005`](https://github.com/es-shims/Array.prototype.at/commit/2e1900557de3d535b2f98d4acdfcc168a0d2493b)
- [Breaking] rename package to `at` from `item` [`ad5633a`](https://github.com/es-shims/Array.prototype.at/commit/ad5633a5e65e120f88bdec0218ba12f6877d28fa)
- [Tests] run `nyc` on all tests [`ab32337`](https://github.com/es-shims/Array.prototype.at/commit/ab32337a861741cc6f8fa47cd345f1f49f65f412)
- [actions] add "Allow Edits" workflow [`b151658`](https://github.com/es-shims/Array.prototype.at/commit/b15165887970616e71b3f365e1c2c5da3c9531ae)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `auto-changelog` [`9c656a8`](https://github.com/es-shims/Array.prototype.at/commit/9c656a8ddab82c9f047bb1efa0523cc63d3fded7)
- [Dev Deps] update `aud`, `eslint` [`5fa8f8a`](https://github.com/es-shims/Array.prototype.at/commit/5fa8f8afd2cd3ee74d193404363a3947a1ec3730)
- [Deps] add `call-bind` [`fb37275`](https://github.com/es-shims/Array.prototype.at/commit/fb37275bcd07b06175194937a28fc9b65fe57f89)

## v0.1.0 - 2020-08-14

### Commits

- Implementation [`77e648e`](https://github.com/es-shims/Array.prototype.at/commit/77e648ea2c5ef2236c248691abca94cae1188fa9)
- Tests [`1f289f5`](https://github.com/es-shims/Array.prototype.at/commit/1f289f563e08b6228da6c939281f4597ab82cead)
- Initial commit [`50fbdc9`](https://github.com/es-shims/Array.prototype.at/commit/50fbdc951d03131b11a3a1b6fe0dd9ca06587909)
- readme [`6bf6f6b`](https://github.com/es-shims/Array.prototype.at/commit/6bf6f6b639cdbccb2e1dd7d5f713ce5d60eda2f5)
- npm init [`fe23b86`](https://github.com/es-shims/Array.prototype.at/commit/fe23b8692a026659562b2924e2372cd2f811c41c)
- [meta] add `auto-changelog` [`ffdaf02`](https://github.com/es-shims/Array.prototype.at/commit/ffdaf02675b96bafb959725d2651e19ab7cd9d22)
- [Tests] use shared travis-ci configs [`dac6a5d`](https://github.com/es-shims/Array.prototype.at/commit/dac6a5dc266bc3b89192260b992c4dc90b36db8f)
- [actions] add automatic rebasing / merge commit blocking [`ddc4fb1`](https://github.com/es-shims/Array.prototype.at/commit/ddc4fb1b0f47b3b4719e6efab8a3160cff4b35f3)
- [Tests] add `npm run lint` [`763a64b`](https://github.com/es-shims/Array.prototype.at/commit/763a64bc2807b8934c4c204e9aa061e6c1f0b03c)
- [meta] add `safe-publish-latest` [`a436200`](https://github.com/es-shims/Array.prototype.at/commit/a436200718842597cc8c11e5848ca54cf803e430)
- Only apps should have lockfiles [`d5ef22c`](https://github.com/es-shims/Array.prototype.at/commit/d5ef22c0145201b3667eb37e3b5d024604e02176)
- [meta] add `funding` field [`525501c`](https://github.com/es-shims/Array.prototype.at/commit/525501c562674cecfb583bdf5984d888e4cdb3fc)
